Mailly文档

Set the read state of an email

PATCH
/inbox/messages/{id}/read-state

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

id*string

Email ID

Request Body

application/json
  1. body
is_read*boolean

true marks as read, false marks as unread

[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
id*string
is_read*boolean
changed*boolean
[key: string]?unknown
curl -X PATCH 'https://api.mailly.site/inbox/messages/string/read-state' \  -H 'Content-Type: application/json' \  -d '{  "is_read": true,  "property1": null,  "property2": null}'
{  "success": true,  "id": "string",  "is_read": true,  "changed": true,  "property1": null,  "property2": null}